Is there a way to uninstall dev dependencies with composer?

I want to uninstall (and not remove from my composer.json) dev dependencies on a project. Is there a simple way to do this ?

What does the tilde (~) mean in my composer.json file?

I have this line in my composer.json file: "require": { ... "friendsofsymfony/user-bundle": "[email protected]", ... }, What does the tilde ~ in [email protected] exactly mean? Is that a placeholder...

CakePHP 3.0 installation: intl extension missing from system

Using the CakePHP docs, I am trying to install 3.0-beta2 using composer but I got this error: cakephp/cakephp 3.0.x-dev requires ext-intl * -> the requested PHP extension intl is missing from...

Codeception trait 'Codeception\Specifiy' not found

I have a PHP app that we are adding tests to using Codeception. We tried to add Specify (and Verify) to our suite but it isn't being recognized. how do you correctly set up Specify for use with...

Keep CakePHP 3 app skeleton up to date

I have a cakephp 3 project i created using composer. Keeping all the dependencies up to date is easy with composer but what about the app skeleton itself since it's the base of the app and not...

Composer could not fetch github

Today, I try to do Laravel install by running composer create-project laravel/laravel=5.1.* myproject --prefer-dist and I get this error: Could not fetch...

Laravel 5: PHPUnit and no code coverage driver available

I would like to use PHPUnit to create code coverage reports. I have tried a lot of installation setups found on the web. But nothing seems to work out. I use the latest version of Laravel 5 (>5.2)...

Unable to self-update Composer

I am trying to update Composer without any luck! What I have tried: $ composer self-update [InvalidArgumentException] Command "self-update" is not defined. $ sudo -H composer...

Laravel throws 'The bootstrap/cache directory must be present and writable' error after update

I used 'composer update', which updated a few packages. During the updating process the website still functions. However, after it says 'The compiled services file has been removed', the website...

Docker - Create new files as www-data and not root

I have a basic docker container which I build using docker-compose (version 3) to bring up a basic LAMP stack. The issue I am having is that files created inside the docker container are always...

How can I update laravel/laravel from 5.3 to 5.4?

I have attempted to update laravel/laravel from 5.3 to 5.4, and to do so, I have modified composer.json to this: { "name" : "laravel/laravel", "description" : "The Laravel Framework.", ...

PhpSpreadSheet Class ZipArchive not found Error

I've just downloaded PhpSpreadsheet package via composer and I tried to generate an Excel spreadsheet. But all I get is an error "Class ZipArchive not found ". I work on Windows. In my localhost...

In laravel npm run dev errors:

I have next errors output running npm command for my laravel 5.6 with bootstrap project: $ npm run dev > @ dev /mnt/_work_sdb8/wwwroot/lar/B4test > npm run development > @ development...

Failed to set session cookie. Maybe you are using HTTP instead of HTTPS to access phpMyAdmin

I've just downloaded phpMyAdmin 4.8.1 via composer on my local machine (windows) after installing my lamp stack apache 2.4, php 7.2, mariadb 10.3, but when I login using root (without password) it...

Laravel with Docker issue connecting MySQL

Steps I follow to setup Laravel using Docker: in my local system I don't have installed PHP, Composer, Apache, MySQL, phpMyAdmin, etc. I only have Git and Docker install in my system. git clone...

Docker container killed after Ctrl +C

I have a nginx and php-fpm containers. When I'am in my php container in a projet and I exec any command (like vendor/bin/behat or composer update) who takes time and I click on CTRL+C. I'm...

The requested PHP extension ext-mysqli * is missing on php 7.2 on ubuntu 16.04

when I composer create-project phpmyadmin/phpmyadmin I got the problems: - The requested PHP extension ext-mysqli * is missing from your system. Install or enable PHP's mysqli extension. I had...

Running composer as a normal user instead of a root/super user on CentOS 7

When i try to install a php composer dependency regardless of from where i start, it always asks for super user privileges. I've followed many recommendations for running without root privileges,...

getting Illuminate\Contracts\Container\BindingResolutionException : Target class [AdminsTableSeeder] does not exist. error

so I am creating a seeder in laravel 6.1 but I keep getting this error Illuminate\Contracts\Container\BindingResolutionException : Target class [AdminsTableSeeder] does not exist. I tried running...

Invalid characters passed for attempted conversion, these have been ignored - Pushing Laravel project to heroku

I am not a php developer, but I am trying to take a laravel project from a server and move it to heroku following alll the provided steps, when pushing the repo to heroku; I encounter the...

error when trying to send SMS from Signalwire API from FusionPBX software

<?php //use SignalWire\Rest; include "/var/www/fusionpbx/app/messages/SignalWire/src/Rest/Client.php"; $client = new Client('fc117c36-f3a3-45b1-8abf-cac52fa3355g',...

Valet 502 Bad Gateway nginx/1.19.1

I have macOS High Sierra 10.13.6 and I’m running WordPress site locally on Laravel Valet 2.11.0. Yesterday I had some other issues with my local setup which I managed to fix by brew...

is_dir() expects parameter 1 to be a valid path, array given --- Composer --- Drupal

I want to install druapl modules using Composer composer require drupal/swagger_ui_formatter but I found this error [ErrorException] is_dir() expects parameter 1 to be a valid path, array...

Laravel 8 passport installation failed

I tried installing laravel/passport by running composer require laravel/passport and it gives me error saying : Your requirements could not be resolved to an installable set of...

fclose(): Argument #1 ($stream) must be of type resource, bool given

I just restart my laravel 8.0 project and I got this below error, please what could be wrong, this happens anytime I run "PHP artisan serve" TypeError fclose(): Argument #1 ($stream) must be...

How to start Laravel 8 With Authentication & Bootstrap properly

Every time, I want to start a new Laravel 8 project with authentication routes setup using the laravel/ui package and Bootstrap scaffolding, I face the following image. Meaning that the Bootstrap...

Symfony 5 Fast Track: Database access error

I'm trying to go through the aforementioned tutorial, but I get stuck on the stage between Step 7 and 9 - when the database goes into action. On local server I get An exception occurred in...

Error with composer update does not comply with psr-4 autoloading standard. Skipping

I have this error when i run composer update Class MercadoPago\AdvancedPayments\AdvancedPayment located in...

Parse error: syntax error, unexpected '|', expecting variable (T_VARIABLE) Symfony PHP VERSION WAMP Windows

I have some syntax errors from symfony vendor when i'm trying to composer install my project. Parse error: syntax error, unexpected '|', expecting variable (T_VARIABLE)...

Laravel 8.55 php artisan migrate behavior after php artisan schema:dump --prune

I ran php artisan schema:dump --prune in my development environment. The schema folder appeared and the migrations folder was cleared as expected. I've created 2 new migrations to create 2 new...